#!/usr/bin/python
# -*- coding: utf-8 -*-
"""mas_golondrinas.py"""

class Golondrina:

    def __init__(self, velocidad, nombre):

        self.nombre = nombre
        self.velocidad_maxima = float(velocidad)
        self.velocidad_actual = self.velocidad_maxima

    def volar(self, distancia):
        tiempo = str(distancia / self.velocidad_actual)
        print "La golondrina tarda " + tiempo + " horas"

    def cargar_coco(self):
        print "La golondrina " + self.nombre + " carga un coco"
        self.velocidad_actual = self.velocidad_maxima / 2


class Golondrina_Africana(Golondrina):

    def caza_bichos(self):
        print "La golondrina " + self.nombre + " caza bichos africanos"


class Golondrina_Europea(Golondrina):

    def caza_bichos(self):
        print "La golondrina " + self.nombre + " caza bichos europeos"


una_golondrina = Golondrina_Africana(20, "Jose Alonso")

otra_golondrina = Golondrina_Europea(30, "Renato")

una_golondrina.caza_bichos()

otra_golondrina.caza_bichos()
